mapPoints {oce} | R Documentation

## Add Points to a Map

### Description

Plot points on an existing map.

### Usage

    mapPoints(longitude, latitude, debug = getOption("oceDebug"), ...)

### Arguments

`longitude` | Longitudes of points to be plotted, or an object from which longitude and latitude can be inferred in which case the following two arguments are ignored. This objects that are possible include those of type `coastline`.
`latitude` | Latitudes of points to be plotted.
`debug` | A flag that turns on debugging. Set to 1 to get a moderate amount of debugging information, or to 2 to get more.
`...` | Optional arguments passed to `points`.

### Details

Adds points to an existing map, by analogy to `points`.

### Author(s)

Dan Kelley

### See Also

A map must first have been created with `mapPlot`.

A map must first have been created with `mapPlot`.

Other functions related to maps: `lonlat2map`, `lonlat2utm`, `map2lonlat`, `mapArrows`, `mapAxis`, `mapContour`, `mapDirectionField`, `mapGrid`, `mapImage`, `mapLines`, `mapLocator`, `mapLongitudeLatitudeXY`, `mapPlot`, `mapPolygon`, `mapScalebar`, `mapText`, `mapTissot`, `oceCRS`, `shiftLongitude`, `utm2lonlat`

### Examples

    ## Not run:
    library(oce)
    data(coastlineWorld)
    mapPlot(coastlineWorld, longitudelim=c(-80, 0), latitudelim=c(20, 50),
            col="lightgray", projection="+proj=laea +lon_0=-35")
    data(section)
    mapPoints(section)

    ## End(Not run)

[Package oce version 0.9-22 Index]